import request from '@/utils/request'

// 查询操作日志记录列表
export function listCompanyOperLog(query) {
  return request({
    url: '/company/companyOperLog/list',
    method: 'get',
    params: query
  })
}

// 查询操作日志记录详细
export function getCompanyOperLog(operId) {
  return request({
    url: '/company/companyOperLog/' + operId,
    method: 'get'
  })
}

// 新增操作日志记录
export function addCompanyOperLog(data) {
  return request({
    url: '/company/companyOperLog',
    method: 'post',
    data: data
  })
}

// 修改操作日志记录
export function updateCompanyOperLog(data) {
  return request({
    url: '/company/companyOperLog',
    method: 'put',
    data: data
  })
}

// 删除操作日志记录
export function delCompanyOperLog(operId) {
  return request({
    url: '/company/companyOperLog/' + operId,
    method: 'delete'
  })
}

// 导出操作日志记录
export function exportCompanyOperLog(query) {
  return request({
    url: '/company/companyOperLog/export',
    method: 'get',
    params: query
  })
}